EDIT - bug #7127

dangling metacharacter exception in selection dialog
12/07/2017 04:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal Found in Version: Release 4.13
Description

On adding Members to a PermissionGroup | entered a '?' as wildcard character in the filter textfield of the SelectionDialog and | got
an exception:

B ||Groups 2 = O ||[# Details ® =
~ Group Curator
Title Cache  * Sort by Created When ¥ || Search
Name Curator
Groups Type ||~ Members +

No members yet.

Granted Authorities + +

EGISTRATION = 0
CREATE,READ,UPDATE, DELETE]

REGISTRATION. =
CREATE,READ,UPDATE,DELETE] '

Unexpected error

This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace
below (click on the 'Details’ button).

java.util.regex.PatternSyntaxException: Dangling meta character '?' near
index 0
?
M

Copy Error << Details OK

Dangling meta character '? near index 0
?
M

login : admin

editor version : 4.13.0.201712071146

server : localhost (localhost-dev)

login : admin

editor version : 4.13.0.201712071146
server : localhost (localhost-dev)
schema version : 4.7.0.0.201710040000
os : Linux 4.10.0-40-generic amd64
java : 1.8.0_131
java.util.regex.PatternSyntaxException: Dangling meta character '?' near index O
2

at java.util.regex.Pattern.error (Pattern. java:1955)

at java.util.regex.Pattern.sequence (Pattern. java:2123)

at java.util.regex.Pattern.expr (Pattern. java:1996)

at java.util.regex.Pattern.compile (Pattern.java:1696)

at java.util.regex.Pattern.<init> (Pattern.java:1351)

at java.util.regex.Pattern.compile (Pattern.java:1028)

at java.util.regex.Pattern.matches (Pattern.java:1133)

at java.lang.String.matches (String.java:2121)

at eu.etaxonomy.taxeditor.ui.dialog.selection.UserSelectionDialog.callService (UserSelectionDia
log.java:71)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.searc
h (AbstractFilteredCdmResourceSelectionDialog. java:506)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SearchDialog$2.modifyText (SearchDialog. java:161)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4561)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4151)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSe
lectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:138)

at eu.etaxonomy.taxeditor.ui.dialog.selection.UserSelectionDialog.select (UserSelectionDialog. j
ava:44)

at eu.etaxonomy.taxeditor.ui.section.group.MemberDetailSection.createNewElement (MemberDetailSe
ction.java:55)

at eu.etaxonomy.taxeditor.ui.section.group.MemberDetailSection.createNewElement (MemberDetailSe
ction.java:l)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection$2.run (AbstractEntityColle
ctionSection. java:91)

at org.eclipse.jface.action.Action.runWithEvent (Action.java:473)

at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection (ActionContributionIte
m.java:565)

at org.eclipse.jface.action.ActionContributionItem.lambda$5 (ActionContributionItem. java:436)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4561)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4151)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
at org.eclipse.equinox.launcher.Main.main (Main. java:1492)

Related issues:
Related to EDIT - bug #7128: NPE in selection dialog Closed

Associated revisions

Revision a3870bd6 - 12/11/2017 09:39 AM - Katja Luther

fix #7127: fix NPE and dangling meta character in selection dialogs

Revision 70c47956 - 12/12/2017 09:22 AM - Katja Luther

fix #7127: fix NPE and dangling meta character in selection dialogs

History

#1 - 12/07/2017 04:52 PM - Andreas Kohlbecker

- Subject changed from dangling metacharacter in selection dialog to dangling metacharacter exception in selection dialog

#2 - 12/07/2017 09:47 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.13

#3 - 12/11/2017 09:39 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|a3870bdédd1329d7074bc6380df5ee41d549d503.

#4 - 12/11/2017 09:40 AM - Katja Luther
- Status changed from Resolved to New

- % Done changed from 50 to 0

should be fixed now. please review.

#5 - 12/11/2017 09:40 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

#6 - 12/11/2017 11:53 AM - Andreas Miiller
- Related to bug #7128: NPE in selection dialog added

#7 - 12/11/2017 12:08 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

confirming this is fixed!
